# core/feature packages
# GLOBAL_*_PACKAGE_LISTS: profiles/packages-lists/
# GLOBAL_PKG_GROUPS: profiles/pkg-groups/lists/

.PHONY: use-kde use-kde-lite use-kde-live use-gnome use-xfce use-icewm \
	use-runa use-etersoft use-ltsp

use-kde:
	echo GLOBAL_BASE_PACKAGE_LISTS+='kde' >> profiles/base/config.mk
	echo GLOBAL_DISK_PACKAGE_LISTS+='disk-dvd' >> profiles/disk/config.mk
	echo GLOBAL_PKG_GROUPS+='docs  edu games graphics-editing \
		video-editing sound-editing scanning peer-to-peer \
		dictionary emulators publishing 3d mail money blogs' >> profiles/config.mk


use-kde-lite:
	echo GLOBAL_BASE_PACKAGE_LISTS+='kde-lite' >> profiles/base/config.mk
	echo GLOBAL_DISK_PACKAGE_LISTS+='disk-cd' >> profiles/disk/config.mk
	echo GLOBAL_PKG_GROUPS+='dictionary dial-up' >> profiles/config.mk

use-kde-live:
	echo GLOBAL_LIVE_PACKAGES+='kdegames-kpat kdegames-kshisen \
              kdegames-klines kdegames-kmahjongg' >> profiles/live/config.mk
	echo GLOBAL_LIVE_PACKAGE_LISTS+='kde-lite' >> profiles/live/config.mk
	echo GLOBAL_LIVE_PKG_GROUPS+='office-lite network graphics multimedia-lite docs' \
                >> profiles/live/config.mk

use-gnome:
	echo GLOBAL_BASE_PACKAGE_LISTS+='gnome-base gnome-office-light-cd' >> profiles/base/config.mk
	echo GLOBAL_DISK_PACKAGE_LISTS+='disk-cd' >> profiles/disk/config.mk
	echo GLOBAL_LIVE_PACKAGE_LISTS+='gnome-base gnome-office gnome-addons' >> profiles/live/config.mk
	echo GLOBAL_LIVE_PACKAGES+='autologin gnome-full gnome-a11y gimp' >> profiles/live/config.mk
	echo GLOBAL_LIVE_PKG_GROUPS+='gnome-network-lite' >> profiles/live/config.mk
	echo GLOBAL_PKG_GROUPS+='gnome-network-lite' >> profiles/config.mk


use-gnome-light:
	echo GLOBAL_BASE_PACKAGE_LISTS+='gnome-base' >> profiles/base/config.mk
	echo GLOBAL_DISK_PACKAGE_LISTS+='disk-cd' >> profiles/disk/config.mk
	echo GLOBAL_LIVE_PACKAGE_LISTS+='gnome-base gnome-office-light \
	gnome-addons gnome-addons-light' >> profiles/live/config.mk
	echo GLOBAL_LIVE_PACKAGES+='autologin gnome-full gnome-a11y gimp' >> profiles/live/config.mk
	echo GLOBAL_LIVE_PKG_GROUPS+='gnome-network-lite' >> profiles/live/config.mk
	echo GLOBAL_PKG_GROUPS+='gnome-network-lite' >> profiles/config.mk

use-xfce:
	# FIXME: need to rethink package lists flexibility limit
	for i in profiles/pkg-groups/lists/*.in; do \
		sed 's,EXACT_DESIGN_BY_HAND,$(GLOBAL_EXACT_DESIGN),g' < $$i > $${i%.in}; \
	done
	echo GLOBAL_BASE_PACKAGES+='xfce-settings-$(GLOBAL_EXACT_DESIGN)' \
		>> profiles/base/config.mk
	echo GLOBAL_BASE_PACKAGE_LISTS+='xfce' >> profiles/base/config.mk
	echo GLOBAL_DISK_PACKAGE_LISTS+='disk-cd' >> profiles/disk/config.mk
	echo GLOBAL_LIVE_PACKAGES+='autologin \
		docs-issue-desktop_lite docs-install-desktop_lite' >> profiles/live/config.mk
	echo GLOBAL_LIVE_PACKAGE_LISTS+='xfce' >> profiles/live/config.mk
	echo GLOBAL_LIVE_PKG_GROUPS+='xfce-office-lite xfce-network-lite xfce-graphics-lite' \
		>> profiles/live/config.mk
	echo GLOBAL_PKG_GROUPS+='xfce-docs xfce-office-lite office-superlite \
		xfce-games-lite xfce-graphics-lite ' >> profiles/config.mk

use-icewm:
	echo GLOBAL_BASE_PACKAGE_LISTS+='icewm' >> profiles/base/config.mk
	echo GLOBAL_LIVE_PACKAGE_LISTS+='icewm' >> profiles/live/config.mk
	echo GLOBAL_LIVE_PACKAGES+='autologin' >> profiles/live/config.mk

use-wmaker:
	echo GLOBAL_BASE_PACKAGE_LISTS+='wmaker' >> profiles/base/config.mk

use-fvwm:
	echo GLOBAL_BASE_PACKAGE_LISTS+='fvwm' >> profiles/base/config.mk

use-runa:
	echo GLOBAL_PKG_GROUPS+='runa-client runa-editor runa-botstation' \
		>> profiles/config.mk

use-etersoft:
	echo GLOBAL_PKG_GROUPS+='wine-local' \
		>> profiles/config.mk

use-buildsystem:
	 echo GLOBAL_PKG_GROUPS='buildsystem' \
                >> profiles/config.mk


use-ltsp:
	# FIXME: hm, is this a good place for installer features?..
	echo GLOBAL_INSTALL2_PACKAGES+='installer-feature-ltsp-stage2' \
		>> profiles/install2/config.mk
	echo GLOBAL_BASE_PACKAGE_LISTS+='ltsp' >> profiles/base/config.mk
	echo GLOBAL_DISK_PACKAGE_LISTS+='disk-ltsp' >> profiles/disk/config.mk

use-clamav:
	echo USE_CLAMAV=1 >> profiles/live/config.mk

use-rdp:
	echo GLOBAL_LIVE_PACKAGES+=autordp >> profiles/live/config.mk

# M40
use-beryl:
	echo GLOBAL_BASE_PACKAGE_LISTS+='beryl' >> profiles/base/config.mk

# M41
use-compiz:
	echo GLOBAL_BASE_PACKAGE_LISTS+='compiz' >> profiles/base/config.mk
	grep '^kde' profiles/base/config.mk \
		&& echo GLOBAL_BASE_PACKAGE_LISTS+='compiz-kde' >> profiles/base/config.mk ||:
	egrep '^(gnome|xfce|icewm)' profiles/base/config.mk \
		&& echo GLOBAL_BASE_PACKAGES+='compiz-gtk' >> profiles/base/config.mk ||:
